class GP4Lyrics(object):
    def __init__(self):
        self.track_id = -1

        # Guitar Pro supports 5 lines of lyrics
        self.lines = ["", "", "", "", ""]

    def setLine(self, line, text):
        self.lines[line] = text

    def dump(self):
        print "Track Id :", self.track_id
        print "Lyrics :"
        for i in range(0, len(self.lines)):
            print "Track #%d :\n%s"%(i, self.lines[i])

        
    
class GP4PieceInfo(object):
    def __init__(self):
        self.title = ""
        self.subtitle = ""
        self.interpret = ""
        self.album = ""
        self.author = ""
        self.copyright = ""
        self.tabber = ""
        self.instructions = ""
        self.notice = ""
        self.tripletfeel = False

        self.tempo = -1
        self.key = -1
        self.octave = 0

        self.measures = -1
        self.tracks = -1

    def key_to_str(self, key):
        return {
            0  : "C",
            1  : "G",
            2  : "D",
            -1 : "F"
          }[key]


    def dump(self):
        print "Title :", self.title
        print "Subtitle :", self.subtitle
        print "Interpret :", self.interpret
        print "Album :", self.album
        print "Author :", self.author
        print "Copyright :", self.copyright
        print "Tab author :", self.tabber
        print "Instructions :", self.instructions
        print "Notice :", self.notice
        print "TripletFeel :", self.tripletfeel

        print "Tempo :", self.tempo
        print "Key :", self.key_to_str(self.key)
        print "Octave :", self.octave

        print "# of Tracks :", self.tracks
        print "# of Measures :", self.measures

