class GP4MidiChannel(object):
    def __init__(self):
        self.instrument = -1
        self.volume = 0
        self.balance = 0
        self.chorus = 0
        self.reverb = 0
        self.phaser = 0
        self.tremolo = 0

    def dump(self):
        print "Instrument :", self.instrument
        print "Volume :", self.volume
        print "Balance :", self.balance
        print "Chorus :", self.chorus
        print "Reverberation :", self.reverb
        print "Phase :", self.phaser
        print "Tremolo :", self.tremolo
        

class GP4Midi(object):
    def __init__(self):
        self._channels = dict()

    def setChannel(self, i, channel):
        self._channels[i] = channel

    def getChannel(self, channel):
        return self._channels[channel]

    def dump(self):
        for port in range(1, 5):
            for channel in range(1, 17):
                print "-> MIDI Port %d, Channel %d" % (port, channel)
                ch = self.getChannel(port * channel)
                ch.dump()
